import type { CLI, DeployOptions } from '@stacksjs/types';

export declare function deploy(buddy: CLI): void;
declare function confirmProductionDeployment(): void;
declare function configureDomain(domain: string, options: DeployOptions, startTime: number): void;
declare function checkIfAwsIsConfigured(): void;
declare function checkIfAwsIsBootstrapped(): void;